ChangeSet 1.1614, 2004/02/24 11:07:43-08:00, rmk-pci@arm.linux.org.uk

[PATCH] PCI: Don't report pci_request_regions() failure twice

pci_request_regions() reports an error when pci_request_region() fails.
However, since pci_request_region() already reports an error on failure,
pci_request_regions() has some unwanted duplication.


 drivers/pci/pci.c |    5 -----
 1 files changed, 5 deletions(-)


diff -Nru a/drivers/pci/pci.c b/drivers/pci/pci.c
--- a/drivers/pci/pci.c	Fri Feb 27 15:57:30 2004
+++ b/drivers/pci/pci.c	Fri Feb 27 15:57:30 2004
@@ -535,11 +535,6 @@
 	return 0;
 
 err_out:
-	printk (KERN_WARNING "PCI: Unable to reserve %s region #%d:%lx@%lx for device %s\n",
-		pci_resource_flags(pdev, i) & IORESOURCE_IO ? "I/O" : "mem",
-		i + 1, /* PCI BAR # */
-		pci_resource_len(pdev, i), pci_resource_start(pdev, i),
-		pci_name(pdev));
 	while(--i >= 0)
 		pci_release_region(pdev, i);
 		
